petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMForestGetMinimumRefinement

Get the minimum level of refinement (relative to the base DM, see DMForestGetBaseDM()) allowed in the forest. If the forest is being created by coarsening a previous forest (see DMForestGetAdaptivityForest()), this limits the amount of coarsening.

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    PetscErrorCode DMForestGetMinimumRefinement(DM dm, PetscInt *minRefinement)

Not collective Many br

### Input Parameter

dm -the forest Many br

### Output Parameter

minRefinement -default PETSC_DEFAULT (interpreted by the subtype of DMForest) Many br

Many br

### See Also

DMForestSetMinimumRefinement(), DMForestGetMaximumRefinement(), DMForestGetInitialRefinement(), DMForestGetBaseDM(), DMForestGetAdaptivityForest()

Level:intermediate
Location:src/dm/impls/forest/forest.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages